Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class DelegatingJDOMetaDataRepository

    java.lang.Object
      |
      +--kodo.meta.DelegatingJDOMetaDataRepository

All Implemented Interfaces:
  ImplHelper.RegisterClassListener, JDOMetaDataRepository

Direct Known Subclasses:
  MappingRepository

public class DelegatingJDOMetaDataRepository
extends Object
implements JDOMetaDataRepository

Wrapper around a repository.

Constructor Summary
`DelegatingJDOMetaDataRepository(JDOMetaDataRepository repos)`

Method Summary
`void` | `addMetaData(ClassMetaData meta)` Add a metadata instance to the repository.
`void` | `clear()` Clear the cache of parsed metadata.
`boolean` | `equals(Object other)`
`JDOConfiguration` | `getConfiguration()` Return the configuration for the repository.
`JDOMetaDataRepository` | `getDelegate()` Return the wrapped repository.
`ClassMetaData` | `getEmbeddedMetaData(ClassMetaData owner, int field)` Return the class metadata for the embedded value of the given field.
`JDOMetaDataGenerator` | `getGenerator()` Return the generator to use to create default metadata.
`JDOMetaDataRepository` | `getInnermostDelegate()` Return the base underlying repository.
`ClassMetaData` | `getMetaData(Class cls, ClassLoader pmLoader, boolean mustExist)` Return the metadata for the given class.
`ClassMetaData` | `getMetaData(Object oid, ClassLoader pmLoader, boolean mustExist)` Return the least-derived class metadata for the given application identity object.
`MetaDataLoader` | `getMetaDataLoader()` Return the loader to use to load jdo metadata instances.
`ClassMetaData[]` | `getMetaDatas()` Return all the metadata instances currently in the repository.
`ClassMetaData[]` | `getMetaDatas(Class cls, boolean impls, ClassLoader pmLoader, boolean mustExist)` Return all metadatas for the given class.
`int` | `getValidate()` The metadata validation level.
`boolean` | `getValidateExtensionKeys()` Whether to validate extension keys against the known set.
`int` | `hashCode()`
`boolean` | `hasMetaData(Class cls)` Return true if the repository has metadata for the given class.
`void` | `registerClass(Class cls)`
`boolean` | `removeMetaData(Class cls)` Remove a metadata instance from the repository.
`boolean` | `removeMetaData(ClassMetaData meta)` Remove a metadata instance from the repository.
`void` | `setGenerator(JDOMetaDataGenerator generator)` Set the generator to use to create default metadata.
`void` | `setMetaDataLoader(MetaDataLoader l)` Set the loader to use to load jdo metadata instances.
`void` | `setValidate(int validate)` The metadata validation level.
`void` | `setValidateExtensionKeys(boolean validate)` Whether to validate extension keys against the known set.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingJDOMetaDataRepository

    public DelegatingJDOMetaDataRepository(JDOMetaDataRepository repos)

Method Detail

### getDelegate

    public JDOMetaDataRepository getDelegate()

  Return the wrapped repository.

### getInnermostDelegate

    public JDOMetaDataRepository getInnermostDelegate()

  Return the base underlying repository.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### registerClass

    public void registerClass(Class cls)

  Specified by:
    `registerClass` in interface `ImplHelper.RegisterClassListener`

### getConfiguration

    public JDOConfiguration getConfiguration()

  Description copied from interface: `JDOMetaDataRepository`
  Return the configuration for the repository.
  Specified by:
    `getConfiguration` in interface `JDOMetaDataRepository`

### getMetaDataLoader

    public MetaDataLoader getMetaDataLoader()

  Description copied from interface: `JDOMetaDataRepository`
  Return the loader to use to load jdo metadata instances.
  Specified by:
    `getMetaDataLoader` in interface `JDOMetaDataRepository`

### setMetaDataLoader

    public void setMetaDataLoader(MetaDataLoader l)

  Description copied from interface: `JDOMetaDataRepository`
  Set the loader to use to load jdo metadata instances.
  Specified by:
    `setMetaDataLoader` in interface `JDOMetaDataRepository`

### getGenerator

    public JDOMetaDataGenerator getGenerator()

  Description copied from interface: `JDOMetaDataRepository`
  Return the generator to use to create default metadata.
  Specified by:
    `getGenerator` in interface `JDOMetaDataRepository`

### setGenerator

    public void setGenerator(JDOMetaDataGenerator generator)

  Description copied from interface: `JDOMetaDataRepository`
  Set the generator to use to create default metadata.
  Specified by:
    `setGenerator` in interface `JDOMetaDataRepository`

### getValidate

    public int getValidate()

  Description copied from interface: `JDOMetaDataRepository`
  The metadata validation level. One of the constants from `ClassMetaData`.
  Specified by:
    `getValidate` in interface `JDOMetaDataRepository`

### setValidate

    public void setValidate(int validate)

  Description copied from interface: `JDOMetaDataRepository`
  The metadata validation level. One of the constants from `ClassMetaData`.
  Specified by:
    `setValidate` in interface `JDOMetaDataRepository`

### getValidateExtensionKeys

    public boolean getValidateExtensionKeys()

  Description copied from interface: `JDOMetaDataRepository`
  Whether to validate extension keys against the known set. Defaults to true.
  Specified by:
    `getValidateExtensionKeys` in interface `JDOMetaDataRepository`

### setValidateExtensionKeys

    public void setValidateExtensionKeys(boolean validate)

  Description copied from interface: `JDOMetaDataRepository`
  Whether to validate extension keys against the known set. Defaults to true.
  Specified by:
    `setValidateExtensionKeys` in interface `JDOMetaDataRepository`

### getMetaData

    public ClassMetaData getMetaData(Class cls,
                                     ClassLoader pmLoader,
                                     boolean mustExist)

  Description copied from interface: `JDOMetaDataRepository`
  Return the metadata for the given class.
  Specified by:
    `getMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Parameters:
    `cls` - the class to retrieve metadata for
    `pmLoader` - the persistence manager's class loader, if any
    `mustExist` - if true, throws a `JDOMetaDataNotFoundException` if no metadata is found

### getEmbeddedMetaData

    public ClassMetaData getEmbeddedMetaData(ClassMetaData owner,
                                             int field)

  Description copied from interface: `JDOMetaDataRepository`
  Return the class metadata for the embedded value of the given field.
  Specified by:
    `getEmbeddedMetaData` in interface `JDOMetaDataRepository`

### getMetaDatas

    public ClassMetaData[] getMetaDatas()

  Description copied from interface: `JDOMetaDataRepository`
  Return all the metadata instances currently in the repository.
  Specified by:
    `getMetaDatas` in interface `JDOMetaDataRepository`

### hasMetaData

    public boolean hasMetaData(Class cls)

  Description copied from interface: `JDOMetaDataRepository`
  Return true if the repository has metadata for the given class.
  Specified by:
    `hasMetaData` in interface `JDOMetaDataRepository`

### addMetaData

    public void addMetaData(ClassMetaData meta)

  Description copied from interface: `JDOMetaDataRepository`
  Add a metadata instance to the repository.
  Specified by:
    `addMetaData` in interface `JDOMetaDataRepository`

### removeMetaData

    public boolean removeMetaData(ClassMetaData meta)

  Description copied from interface: `JDOMetaDataRepository`
  Remove a metadata instance from the repository.
  Specified by:
    `removeMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Returns:
    true if removed, false if not in this repository

### removeMetaData

    public boolean removeMetaData(Class cls)

  Description copied from interface: `JDOMetaDataRepository`
  Remove a metadata instance from the repository.
  Specified by:
    `removeMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Returns:
    true if removed, false if not in this repository

### getMetaData

    public ClassMetaData getMetaData(Object oid,
                                     ClassLoader pmLoader,
                                     boolean mustExist)

  Description copied from interface: `JDOMetaDataRepository`
  Return the least-derived class metadata for the given application identity object.
  Specified by:
    `getMetaData` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Parameters:
    `oid` - the oid to get the metadata for
    `pmLoader` - the persistence manager's class loader, if any
    `mustExist` - if true, throws a `JDOMetaDataNotFoundException` if no metadata is found

### getMetaDatas

    public ClassMetaData[] getMetaDatas(Class cls,
                                        boolean impls,
                                        ClassLoader pmLoader,
                                        boolean mustExist)

  Description copied from interface: `JDOMetaDataRepository`
  Return all metadatas for the given class. If the class is concrete, only the class metadata will be returned. If the class is an interface or is abstract, metadata for all least-derived classes that implement/ extend the class will be returned.
  Specified by:
    `getMetaDatas` in interface `JDOMetaDataRepository`
  Following copied from interface: `kodo.meta.JDOMetaDataRepository`
  Parameters:
    `cls` - the class or interface to retrieve metadata for
    `impls` - true to include implementations of the given class if it is non-persistent type, or false to consider the given class only
    `pmLoader` - the persistence manager's class loader, if any
    `mustExist` - if true, throws a `JDOMetaDataNotFoundException` if impls are not included and no metadata is found

### clear

    public void clear()

  Description copied from interface: `JDOMetaDataRepository`
  Clear the cache of parsed metadata. This method also clears the internal loader's cache.
  Specified by:
    `clear` in interface `JDOMetaDataRepository`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.